LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Namespaces | Typedefs | Functions
liblives.cpp File Reference
`#include "liblives.hpp"`
`#include <stdlib.h>`
`#include <pthread.h>`
`#include <unistd.h>`
`#include <iostream>`
`#include <libOSC/libosc.h>`
`#include <libOSC/OSC-client.h>`
`#include "main.h"`
`#include "lbindings.h"`
`#include "effects-weed.h"`

## Namespaces
| lives
| lives::prefs

## Typedefs
typedef int | Boolean

## Functions
int | real_main (int argc, char *argv[], pthread_t *gtk_thread, ulong id)
bool | lives_osc_cb_quit (void *context, int arglen, const void *vargs, OSCTimeTag when, void *ra)
track_rect * | find_block_by_uid (lives_mt *mt, ulong uid)
livesString | lives::prefs::currentVideoLoadDir (const livesApp &lives)
livesString | lives::prefs::currentAudioDir (const livesApp &lives)
livesString | lives::prefs::tmpDir (const livesApp &lives)
lives_audio_source_t | lives::prefs::audioSource (const livesApp &lives)
bool | lives::prefs::setAudioSource (const livesApp &lives, lives_audio_source_t asrc)
lives_audio_player_t | lives::prefs::audioPlayer (const livesApp &lives)
int | lives::prefs::audioPlayerRate (const livesApp &lives)
bool | lives::prefs::isRealtimeAudioPlayer (lives_audio_player_t player_type)
int | lives::prefs::rteKeysVirtual (const livesApp &lives)
double | lives::prefs::maxFPS (const livesApp &lives)
bool | lives::prefs::audioFollowsVideoChanges (const livesApp &lives)
bool | lives::prefs::audioFollowsFPSChanges (const livesApp &lives)
bool | lives::prefs::setAudioFollowsVideoChanges (const livesApp &lives, bool setting)
bool | lives::prefs::setAudioFollowsFPSChanges (const livesApp &lives, bool setting)
bool | lives::prefs::sepWinSticky (const livesApp &lives)
bool | lives::prefs::setSepWinSticky (const livesApp &lives, bool setting)
bool | lives::prefs::mtExitRender (const livesApp &lives)
bool | lives::prefs::setMtExitRender (const livesApp &lives, bool setting)
void | binding_cb (lives_callback_t cb_type, const char *msgstring, ulong id)

## Detailed Description

liblives interface

## Typedef Documentation

typedef int Boolean

## Function Documentation

void binding_cb | ( | lives_callback_t | cb_type,
|  | const char * | msgstring,
|  | ulong | id
| ) |  |

track_rect* find_block_by_uid | ( | lives_mt * | mt,
|  | ulong | uid
| ) |  |

bool lives_osc_cb_quit | ( | void * | context,
|  | int | arglen,
|  | const void * | vargs,
|  | OSCTimeTag | when,
|  | void * | ra
| ) |  |

int real_main | ( | int | argc,
|  | char * | argv[],
|  | pthread_t * | gtk_thread,
|  | ulong | id
| ) |  |